## velvet_1.2.10.tgz

=== Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g
LIBS = -lm
OPT = -O3
MAXKMERLENGTH=31
CATEGORIES=2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)
PDFLATEX_VERSION := $(shell pdflatex --version 2> /dev/null)

# Mac OS users: uncomment the following lines
CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

ifdef BIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY
endif

ifdef VBIGASSEMBLY
override DEF := $(DEF) -D BIGASSEMBLY -D VBIGASSEMBLY
endif 	


ifdef LONGSEQUENCES
override DEF := $(DEF) -D LONGSEQUENCES
endif

# OpenMP 
ifdef OPENMP
override CFLAGS := $(CFLAGS) -fopenmp
endif

# Per library coverage
ifdef SINGLE_COV_CAT
override DEF := $(DEF) -D SINGLE_COV_CAT
endif

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/scaffold.o obj/kmerOccurenceTable.o obj/allocArray.o obj/autoOpen.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj velveth velvetg doc

clean : clean-zlib
	-rm obj/*.o obj/dbg/*.o ./velvet* 
	-rm -f doc/manual_src/Manual.toc doc/manual_src/Manual.aux doc/manual_src/Manual.out doc/manual_src/Manual.log
	-rm -f doc/manual_src/Columbus_manual.aux doc/manual_src/Columbus_manual.out doc/manual_src/Columbus_manual.log

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

ifdef BUNDLEDZLIB
Z_LIB_DIR=third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o
override DEF := $(DEF) -D BUNDLEDZLIB

zlib: 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

clean-zlib :
	cd $(Z_LIB_DIR) && make clean
else
Z_LIB_FILES=-lz

zlib :
clean-zlib :
endif

velveth : obj 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/binarySequences.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/autoOpen.o $(Z_LIB_FILES) $(LIBS)


velvetg : obj
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o obj/autoOpen.o $(Z_LIB_FILES) $(LIBS)

debug : override DEF := $(DEF) -D DEBUG 
debug : cleanobj obj/dbg
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o obj/dbg/autoOpen.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o obj/dbg/autoOpen.o $(Z_LIB_FILES) $(LIBS)

color : override DEF := $(DEF) -D COLOR
color : cleanobj obj_de
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/binarySequences.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o obj/autoOpen.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/binarySequences.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o obj/kmerOccurenceTable.o obj/allocArray.o obj/autoOpen.o $(Z_LIB_FILES) $(LIBS)

colordebug : override DEF := $(DEF) -D COLOR -D DEBUG
colordebug : cleanobj obj/dbg_de
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o obj/dbg/autoOpen.o $(Z_LIB_FILES) $(LIBS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/binarySequences.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o obj/dbg/kmerOccurenceTable.o obj/dbg/allocArray.o obj/dbg/autoOpen.o $(Z_LIB_FILES) $(LIBS)

objdir:
	mkdir -p obj

obj: zlib cleanobj objdir $(OBJ)

obj_de: override DEF := $(DEF) -D COLOR
obj_de: zlib cleanobj objdir $(OBJ)

obj/dbgdir: 
	mkdir -p obj/dbg

obj/dbg: override DEF := $(DEF) -D DEBUG 
obj/dbg: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/dbg_de: override DEF := $(DEF) -D COLOR -D DEBUG
obj/dbg_de: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@ 

doc: Manual.pdf

Manual.pdf: doc/manual_src/Manual.tex doc/manual_src/Columbus_manual.tex
ifdef PDFLATEX_VERSION
	cd doc/manual_src; pdflatex Manual.tex; pdflatex Manual.tex; mv Manual.pdf ../..; pdflatex Columbus_manual.tex; mv Columbus_manual.pdf ../..
else
	@echo pdflatex not found, cannot rebuild the manual.
endif

test: velvetg velveth
	cd tests && ./run-tests.sh

=== contrib/MetaVelvet-v0.3.1/Makefile ===
CC = gcc
CFLAGS = -Wall
DEBUG = -g
LDFLAGS = -lm
OPT = -O3
MAXKMERLENGTH=31
CATEGORIES=2
DEF = -D MAXKMERLENGTH=$(MAXKMERLENGTH) -D CATEGORIES=$(CATEGORIES)

Z_LIB_DIR=../../third-party/zlib-1.2.3
Z_LIB_FILES=$(Z_LIB_DIR)/*.o

# Mac OS users: uncomment the following lines
# Z_LIB_FILES=
# LDFLAGS = -lm -lz
# CFLAGS = -Wall -m64

# Sparc/Solaris users: uncomment the following line
# CFLAGS = -Wall -m64

OBJ = obj/tightString.o obj/run.o obj/splay.o obj/splayTable.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/crc.o obj/utility.o obj/kmer.o obj/scaffold.o
OBJDBG = $(subst obj,obj/dbg,$(OBJ))

default : cleanobj zlib obj meta-velveth meta-velvetg

clean :
	-rm obj/*.o obj/dbg/*.o ./meta-velvet* 
	cd $(Z_LIB_DIR) && make clean

cleanobj: 
	-rm obj/*.o obj/dbg/*.o 

zlib : 
	cd $(Z_LIB_DIR); ./configure; make; rm minigzip.o; rm example.o

meta-velveth : obj 
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o meta-velveth obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)


meta-velvetg : obj
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o meta-velvetg obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)

debug : cleanobj obj/dbg
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o meta-velveth obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o meta-velvetg obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)

color : cleanobj obj_de
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o meta-velveth_de obj/tightString.o obj/run.o obj/recycleBin.o obj/splay.o obj/splayTable.o obj/readSet.o obj/crc.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(OPT) $(LDFLAGS) -o velvetg_de obj/tightString.o obj/graph.o obj/run2.o obj/fibHeap.o obj/fib.o obj/concatenatedGraph.o obj/passageMarker.o obj/graphStats.o obj/correctedGraph.o obj/dfib.o obj/dfibHeap.o obj/recycleBin.o obj/readSet.o obj/shortReadPairs.o obj/scaffold.o obj/locallyCorrectedGraph.o obj/graphReConstruction.o obj/roadMap.o obj/preGraph.o obj/preGraphConstruction.o obj/concatenatedPreGraph.o obj/readCoherentGraph.o obj/utility.o obj/kmer.o $(Z_LIB_FILES)

colordebug : cleanobj obj/dbg_de
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o meta-velveth_de obj/dbg/tightString.o obj/dbg/run.o obj/dbg/recycleBin.o obj/dbg/splay.o obj/dbg/splayTable.o obj/dbg/readSet.o obj/dbg/crc.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) $(DEBUG) -o velvetg_de obj/dbg/tightString.o obj/dbg/graph.o obj/dbg/run2.o obj/dbg/fibHeap.o obj/dbg/fib.o obj/dbg/concatenatedGraph.o obj/dbg/passageMarker.o obj/dbg/graphStats.o obj/dbg/correctedGraph.o obj/dbg/dfib.o obj/dbg/dfibHeap.o obj/dbg/recycleBin.o obj/dbg/readSet.o obj/dbg/shortReadPairs.o obj/dbg/scaffold.o obj/dbg/locallyCorrectedGraph.o obj/dbg/graphReConstruction.o obj/dbg/roadMap.o obj/dbg/preGraph.o obj/dbg/preGraphConstruction.o obj/dbg/concatenatedPreGraph.o obj/dbg/readCoherentGraph.o obj/dbg/utility.o obj/dbg/kmer.o $(Z_LIB_FILES)

objdir:
	mkdir -p obj

obj: zlib objdir $(OBJ)

obj_de: override DEF := $(DEF) -D COLOR
obj_de: zlib cleanobj objdir $(OBJ)

obj/dbgdir: 
	mkdir -p obj/dbg

obj/dbg: zlib obj/dbgdir $(OBJDBG)

obj/dbg_de: override DEF := $(DEF) -D COLOR
obj/dbg_de: zlib cleanobj obj/dbgdir $(OBJDBG)

obj/%.o: src/%.c
	$(CC) $(CFLAGS) $(OPT) $(DEF) -c $? -o $@ 

obj/dbg/%.o: src/%.c
	$(CC) $(CFLAGS) $(DEBUG) $(DEF) -c $? -o $@

=== debian/changelog ===
velvet1.2.02 (1.2.02-1) unstable; urgency=low

  * New upstream release.
  * Branched from the github repo, and all additional files in the 1.2.02 release tarball are part of this package.

 -- Scott Smith <ssmith@genome.wustl.edu>  Sat, 28 Jan 2012 17:37:06 +0900

velvet0.7.56 (0.7.56-1) unstable; urgency=low

  * New upstream version.
  * Repackaged the upstream directory to remove the convenience copy
    of the zlib. Documented this in ‘debian/README.source’.
    Closes: #561433.
  * Updated debian/copyright.
  * Added ‘include_debians_zlib.patch’ to enforce the use of
    /usr/include/zlib.h. This patch is applied using CDBS, see
    ‘debian/rules’ and ‘debian/README.source’.
  * Renamed ‘debian/reference’ ‘debian/upstream-metadata.yaml’ and
    centralised upstream-specific information there.

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Jan 2010 13:03:06 +0900

velvet0.7.55-1 (0.7.55-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2009 14:52:41 +0200

velvet0.7.53-1 (0.7.53-1) unstable; urgency=low

  * New upstream release:
    - Ignored reads in Pebble corrected
    - Added automatic measure of median coverage and median insert length
    - Updated manual to cover the above

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Sep 2009 13:42:22 +0900

velvet0.7.52-1 (0.7.52-1) unstable; urgency=low

  * New upstream release:
    V 0.7.51
    - Small parsing bug
    - Correction to the observed-insert-length script
    - Verified strncpy calls
    - NCBI friendly 10bp N-gaps
    V 0.7.52
    - Crashing bug when parsing fa.gz files
    - Crashing bug with tiny Graph files
    - Bug when loading FASTA files with short lines
    - Corrected snp_view.pl script to write reverse strand reads in
      snp_view_reads file
    - Corrected snp_view.pl script to behave better near the edges of contigs
    - Updated observed_insert_length to compute the standard deviation of
      the set
    - Corrected observed_insert_length script so that it does not crash on
      empty libraries
    - Crashing bug when providing an odd number of paired reads
    - Mapping bug of reads during tour bus correction
  * Replaced the UNRELEASED tag by ‘unstable’ in debian/changelog as
    0.7.50-1 was really uploaded and accepted by the archive.

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Sep 2009 20:00:54 +0900

velvet0.7.50-1 (0.7.50-1) unstable; urgency=low

  * New upstream release:
    V 0.7.49
    - Added the optional output of unused reads
    - Added David Studholme's FastA -> AGP script
    V 0.7.50
    - Added the extractContigReads script
    - Updated the FastA -> AGP script
    - Added the observed-insert-length script
    - Small parsing bug in simplified read import
  * Incremented Standards-Version in debian/control to reflect conformance
      with Policy 3.8.3 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Aug 2009 21:58:49 +0900

velvet0.7.48-1 (0.7.48-1) unstable; urgency=low

  * New upstream release:
    - Accelerated concatenation (pre-graph and graph)
    - Unlimited contig size
    - Bug in parsing FASTA files with very long lines
    - Parsing bug in snp_view.pl script

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Aug 2009 19:54:03 +0900

velvet0.7.47-1 (0.7.47-1) unstable; urgency=low

  * New upstream release correcting bugs and enhancing documentation.
  * Multi-Arch support (‘foreign’) in debian/control.
  * Corrected debian/install to avoid ugly ‘contrib/contrib’ location.

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Jul 2009 13:43:13 +0900

velvet0.7.44-1 (0.7.44-1) unstable; urgency=low

  * New upstream release.
  * Added bibliographic information in BibTeX format in debian/references.
  * debian/rules: touch zlib to avoid third-party zlib to be built.
  * Removed ‘debian/patches/20_external_zlib.patch’. Passing apropriate
    variables in debian/rules is enough to build dynamically on Debian's
    zlib.
  * Removed the quilt patch system (debian/control, debian/README.source
    debian/rules).
  * Incremented Standards-Version in debian/control to reflect conformance
    with Policy 3.8.2 (no changes needed).
  * Corrected the installation of files that were moved from the
    ‘third-party’ directory to the ‘contrib’ directory.
  * Experimentation on debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Sun, 12 Jul 2009 00:24:56 +0900

velvet0.7.37-1 (0.7.37-1) unstable; urgency=low

  * New upstream release. 
    - Small formatting change to error messages
    - K > 31 now possible
    - --help option corrected for velvetg
    - Acceleration of k-mer operations (comparable to 64bit int performance)
    - Fixed variable lengths
    - Reordered struct declaration for more efficent memory alignment
  * debian/rules:
    - Restored manpage generation for velvetg*.
    - Added forgotten CFLAGS for the colorspace building.

 -- Charles Plessy <plessy@debian.org>  Sat, 27 Jun 2009 12:27:27 +0900

velvet0.7.34-1 (0.7.34-1) unstable; urgency=low

  * New upstream release correcting multiple bugs, changing the stats output,
    allowing optional scaffolding and multiple rounds of Pebble.
  * Added the programs velveth_de and velvetg_de to the package in /usr/bin,
    and the scripts shuffleSequences_fasta.pl and shuffleSequences_fastq.pl in
    /usr/share/velvet (debian/rules, debian/install).
  * Refreshed debian/copyright. 
  * Temporarly disabled the manpage generation of velvetg* because the --help
    option is not available (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 09 Jun 2009 21:28:03 +0900

velvet0.7.31-1 (0.7.31-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.1 (no changes needed)
  * Create manpages using help2man
  * Move third-party/layout and third-party/afg_handling to examples
    because these scripts are actually not to run velvet but for
    the convenience of users - in /urs/share/velvet these scripts


=== debian/control ===
Source: velvet1.2.02
Section: science
Priority: optional
Maintainer: The Genome Institute <gmt@genome.wustl.edu> 
Build-Depends: cdbs, debhelper (>= 7.1), zlib1g-dev, help2man
Standards-Version: 3.8.3
Homepage: http://www.ebi.ac.uk/~zerbino/velvet/

Package: velvet1.2.02
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: velvet-example
Description: Nucleic acid sequence assembler for very short reads
 Velvet is a de novo genomic assembler specially designed for short read
 sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
 Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
 Cambridge, in the United Kingdom.
 .
 Velvet currently takes in short read sequences, removes errors then produces
 high quality unique contigs. It then uses paired read information, if
 available, to retrieve the repeated areas between contigs.

Package: velvet-example1.2.02
Architecture: all
Depends: ${misc:Depends}
Description: Example data for the Velvet sequence assembler
 Velvet is a de novo genomic assembler specially designed for short read
 sequencing technologies, such as Solexa or 454, developed by Daniel Zerbino and
 Ewan Birney at the European Bioinformatics Institute (EMBL-EBI), near
 Cambridge, in the United Kingdom.
 .
 Velvet currently takes in short read sequences, removes errors then produces
 high quality unique contigs. It then uses paired read information, if
 available, to retrieve the repeated areas between contigs.
 .
 This package contains the example data distributed in the sources of Velvet,
 a de novo genomic assembler.

=== debian/rules ===
#!/usr/bin/make -f

DEB_COMPRESS_EXCLUDE := .pdf	# The PDF doc will not be compressed

build/velvet::
	touch zlib # prevents the zlib in the ‘third-party’ folder to be built.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

clean::
	$(RM) zlib

pkg=velvet
VERSION=1.2.02

DEB_MAKE_BUILD_TARGET = obj velveth velvetg Z_LIB_FILES='' LDFLAGS='-lm -lz' OPT=''

build/velvet::
	make color CFLAGS='$(CFLAGS)' Z_LIB_FILES='' LDFLAGS='-lm -lz' OPT=''
	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/man/man1/
	help2man --no-info --name="simple hashing program" \
	         $(CURDIR)/velveth > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velveth$(VERSION).1
	help2man --no-info --name="simple hashing program (colorspace version)" \
	         $(CURDIR)/velveth_de > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velveth_de$(VERSION).1
	help2man --no-info --version-option=" " \
	         --name="de Bruijn graph construction, error removal and repeat resolution" \
	         $(CURDIR)/velvetg > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velvetg$(VERSION).1
	help2man --no-info --version-option=" " \
	         --name="de Bruijn graph construction, error removal and repeat resolution (colorspace version)" \
	         $(CURDIR)/velvetg_de > $(CURDIR)/debian/$(pkg)/usr/share/man/man1/velvetg_de$(VERSION).1

# ADDITIONS TO DO VERSIONED PACKAGES

PKG=$(shell dh_listpackages)

override_dh_auto_install:
	dh_auto_install
	for FILE in ./debian/$(PKG)/usr/bin/v*; do \
	  mv $$FILE ./debian/$(PKG)/usr/bin/`basename $$FILE`$(VERSION); \
	done
	for FILE in ./debian/$(PKG)/usr/bin/*; do \
	  mv $$FILE ./debian/$(PKG)/usr/share/velvet$(VERSION)/`basename $$FILE`; \
	done

=== debian/watch ===
version=3
http://www.ebi.ac.uk/~zerbino/velvet/velvet_([.\d]*).tgz
